/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package x33eja.back;

import java.security.Principal;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.faces.context.FacesContext;
import javax.servlet.http.HttpSession;
import x33eja.model.Person;
import x33eja.sb.SchoolCenterLocal;

/**
 *
 * @author blcha
 */
@ManagedBean(name="login")
@RequestScoped
public class LoginBean {

    @EJB
    private SchoolCenterLocal schoolCenter;
    
    /** Creates a new instance of LoginBean */
    public LoginBean() {
    }

    public boolean isLoggedStudent() {
        return FacesContext.getCurrentInstance().getExternalContext().isUserInRole("student");
    }


    public boolean isLoggedTeacher() {
        return FacesContext.getCurrentInstance().getExternalContext().isUserInRole("teacher");
    }

    public String getLoginName() {
        Principal p = FacesContext.getCurrentInstance().getExternalContext().getUserPrincipal();
        if (p == null) {return null;}
        return p.getName();
    }

    public String logout() {
        HttpSession sess = (HttpSession) FacesContext.getCurrentInstance().getExternalContext().getSession(false);
        sess.invalidate();
        return "index";
    }

    public Person getLoggedUser() {
        return schoolCenter.getLoggedUser();
    }

}
